SystemAccountingMessage (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages
Class SystemAccountingMessage

    java.lang.Object
      org.gcube.common.core.monitoring.GCUBEMessage
          org.gcube.messaging.common.messages.SystemAccountingMessage

All Implemented Interfaces:
  Serializable

    public class SystemAccountingMessage

extends org.gcube.common.core.monitoring.GCUBEMessage

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`class` | `SystemAccountingMessage.ReservedFieldException`

Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

Field Summary
`static String` | `systemAccounting` queue base

Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

Constructor Summary
`SystemAccountingMessage()`

Method Summary
`void` | `addField(MessageField field)`
`void` | `checkReservedField()`
`void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` creates the topic name for this message
`TreeMap<String,MessageField>` | `getFieldMap()`
`String` | `getMessageType()`
`String` | `getServiceClass()`
`String` | `getServiceName()`
`void` | `setFieldMap(TreeMap<String,MessageField> fieldMap)`
`void` | `setMessageType(String messageType)`
`void` | `setServiceClass(String serviceClass)`
`void` | `setServiceName(String serviceName)`
`String` | `toString()`

Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### systemAccounting

    public static final String systemAccounting

  queue base

  See Also:
    Constant Field Values

Constructor Detail

### SystemAccountingMessage

    public SystemAccountingMessage()

Method Detail

### getServiceClass

    public String getServiceClass()

### setServiceClass

    public void setServiceClass(String serviceClass)

### getServiceName

    public String getServiceName()

### setServiceName

    public void setServiceName(String serviceName)

### getMessageType

    public String getMessageType()

### setMessageType

    public void setMessageType(String messageType)

### getFieldMap

    public TreeMap<String,MessageField> getFieldMap()

### setFieldMap

    public void setFieldMap(TreeMap<String,MessageField> fieldMap)

### addField

    public void addField(MessageField field)

### createTopicName

    public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

  creates the topic name for this message

  Parameters:
    `scope` - the message scope

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### checkReservedField

    public void checkReservedField()
                            throws SystemAccountingMessage.ReservedFieldException

  Throws:
    `SystemAccountingMessage.ReservedFieldException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.